# Jellyfin - Media server
# Port: 8096
# Free media streaming server

version: '3.5'
services:
  jellyfin:
    image: jellyfin/jellyfin
    container_name: jellyfin
    user: 0:0
    volumes:
      - /root/jellyfin/config:/config
      - /root/jellyfin/cache:/cache
      - /root/jellyfin/media:/media
      - /root/jellyfin/media2:/media2:ro
    restart: 'unless-stopped'
    # Optional - alternative address used for autodiscovery
    environment:
      - JELLYFIN_PublishedServerUrl=http://stuff.thevish.io
    # Optional - may be necessary for docker healthcheck to pass if running in host network mode
    ports:
      - 8096:8096
      - 8920:8920 #optional
      - 7359:7359/udp #optional
      - 1900:1900/udp #optional
    extra_hosts:
      - "host.docker.internal:host-gateway"
